Bug 1039745 - qemu vcpu hotplug support for q35 machine type
Summary: qemu vcpu hotplug support for q35 machine type
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Igor Mammedov
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 726328
TreeView+ depends on / blocked
 
Reported: 2013-12-09 21:50 UTC by Igor Mammedov
Modified: 2015-03-05 09:43 UTC (History)
7 users (show)

Fixed In Version: QEMU 2.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:43:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0624 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2015-03-05 14:37:36 UTC

Description Igor Mammedov 2013-12-09 21:50:21 UTC
CPU hot-add was implemented for piix based machines and Q35 based machines still miss it. It's needed to factor out common ACPI bits of CPU hot-plug code and reuse it for Q35 as well.

Patch to factor out need generic ACPI bits was posted as part of memory hotplug series http://lists.gnu.org/archive/html/qemu-devel/2013-11/msg02526.html
Once it is committed, I can post CPU specific patch to add feature to Q35.

Comment 3 Igor Mammedov 2014-02-05 13:26:16 UTC
QE,
Please retest when RHEL7.1 is ready.

Comment 4 Igor Mammedov 2014-02-05 13:29:55 UTC
upstream fix:
http://lists.gnu.org/archive/html/qemu-devel/2014-01/msg00997.html

Comment 5 juzhang 2014-07-31 05:58:20 UTC
Update the component to qemu-kvm-rhev since this bz is fixed in qemu2.0, fix me if there is wrong.

Best Regards,
Junyi

Comment 6 FuXiangChun 2014-08-05 06:23:10 UTC
Verify this bug with qemu-kvm-1.5.3-53.el7.x86_64 and qemu-kvm-1.5.3-66.el7.x86_64 and qemu-kvm-rhev-2.1.0-3.el7ev.preview.x86_64

For RHEL7.0 guest with qemu-kvm-rhev-2.1.0-3.el7ev.preview.x86_64 & qemu-kvm-1.5.3-66.el7.x86_64 & qemu-kvm-1.5.3-53.el7.x86_64 on Intel host.

1./usr/libexec/qemu-kvm -M q35 -smp 8,cores=2,threads=2,sockets=2,maxcpus=160...

2.{ "execute": "cpu-add", "arguments": { "id": 9 }} 

3.check vcpu number from qemu-kvm HMP
(qemu) info cpus
* CPU #0: pc=0xfffff8037f21f1ff (halted) thread_id=13221
  CPU #1: pc=0xfffff8037f21f1ff (halted) thread_id=13222
  CPU #2: pc=0xfffff8037f21f1ff (halted) thread_id=13223
  CPU #3: pc=0xfffff8037f21f1ff (halted) thread_id=13224
  CPU #4: pc=0xfffff8000039f37e thread_id=13225
  CPU #5: pc=0xfffff8037f21f1ff (halted) thread_id=13226
  CPU #6: pc=0xfffff8037f21f1ff (halted) thread_id=13227
  CPU #7: pc=0xfffff8037f21f1ff (halted) thread_id=13228
  CPU #8: pc=0xfffff8037f21f1ff (halted) thread_id=13232

4. check vcpu number inside guest
 
can find 9 vcpu inside guest from /proc/cpuinfo


For win2012r2 guest with qemu-kvm-rhev-2.1.0-3.el7ev.preview.x86_64 on AMD host 

Got the same result with RHEL7.0 guest.

Test summary.
1. qemu-kvm-1.5.3-53.el7.x86_64 & qemu-kvm-1.5.3-66.el7.x86_64 & qemu-kvm-rhev-2.1.0-3.el7ev.preview.x86_64 support vcpu hotplug

2. For linux and windows guest, both support vcpu hotplug on AMD & Intel host.

Igor,

1.According to this test result above.
Is this bug fixed?  

2.qemu-kvm-1.5.3-53.el7.x86_64 and qemu-kvm-1.5.3-66.el7.x86_64 support vcpu hotplug as well.  Is it expect?

Comment 7 Igor Mammedov 2014-09-01 08:40:24 UTC
(In reply to FuXiangChun from comment #6)
> Verify this bug with qemu-kvm-1.5.3-53.el7.x86_64 and
> qemu-kvm-1.5.3-66.el7.x86_64 and qemu-kvm-rhev-2.1.0-3.el7ev.preview.x86_64
> 
> For RHEL7.0 guest with qemu-kvm-rhev-2.1.0-3.el7ev.preview.x86_64 &
> qemu-kvm-1.5.3-66.el7.x86_64 & qemu-kvm-1.5.3-53.el7.x86_64 on Intel host.
> 
> 1./usr/libexec/qemu-kvm -M q35 -smp
> 8,cores=2,threads=2,sockets=2,maxcpus=160...
> 
> 2.{ "execute": "cpu-add", "arguments": { "id": 9 }} 
> 
> 3.check vcpu number from qemu-kvm HMP
> (qemu) info cpus
> * CPU #0: pc=0xfffff8037f21f1ff (halted) thread_id=13221
>   CPU #1: pc=0xfffff8037f21f1ff (halted) thread_id=13222
>   CPU #2: pc=0xfffff8037f21f1ff (halted) thread_id=13223
>   CPU #3: pc=0xfffff8037f21f1ff (halted) thread_id=13224
>   CPU #4: pc=0xfffff8000039f37e thread_id=13225
>   CPU #5: pc=0xfffff8037f21f1ff (halted) thread_id=13226
>   CPU #6: pc=0xfffff8037f21f1ff (halted) thread_id=13227
>   CPU #7: pc=0xfffff8037f21f1ff (halted) thread_id=13228
>   CPU #8: pc=0xfffff8037f21f1ff (halted) thread_id=13232
> 
> 4. check vcpu number inside guest
>  
> can find 9 vcpu inside guest from /proc/cpuinfo
> 
> 
> For win2012r2 guest with qemu-kvm-rhev-2.1.0-3.el7ev.preview.x86_64 on AMD
> host 
> 
> Got the same result with RHEL7.0 guest.
> 
> Test summary.
> 1. qemu-kvm-1.5.3-53.el7.x86_64 & qemu-kvm-1.5.3-66.el7.x86_64 &
> qemu-kvm-rhev-2.1.0-3.el7ev.preview.x86_64 support vcpu hotplug
> 
> 2. For linux and windows guest, both support vcpu hotplug on AMD & Intel
> host.
> 
> Igor,
> 
> 1.According to this test result above.
> Is this bug fixed?  
looks like it is.

> 
> 2.qemu-kvm-1.5.3-53.el7.x86_64 and qemu-kvm-1.5.3-66.el7.x86_64 support vcpu
> hotplug as well.  Is it expect?
1.5.3 supports CPU hotadd only for piix4 machine, if one tries to use it for q35 machine, CPU will be added (info cpus) but guest won't see it until reboot, since q35 ACPI parts are missing.

Comment 10 errata-xmlrpc 2015-03-05 09:43:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0624.html


Note You need to log in before you can comment on or make changes to this bug.